-- Licensed Materials - Property of IBM
-- 5725-A20
-- Copyright IBM Corporation 2015.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to create database and tablespaces for DB2 UDB 
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @DB_NAME@ = the database name, eg PFSDB
--
-- EN_US - The territory code for US English is used for creating the database.
--         In order to change the territory, replace EN_US with the territory
--         of choice.  For example, for French, repace EN_US with FR_FR.
--
--    For a database install with enhanced security:
--    Remove the line "GRANT DBADM ON DATABASE TO @DB_USER@" and follow
--    the instructions in the createTables_PFS.sql script.
-- 
-- @DB_USER@ = database user for the pfs schema
--         
-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf createDatabase_PFS.sql
--
-- ------------------------------------------------------------------------------------
-- create the database
CREATE DATABASE @DB_NAME@ AUTOMATIC STORAGE YES USING CODESET UTF-8 TERRITORY EN_US PAGESIZE 32768;

-- connect to the created database:
CONNECT TO @DB_NAME@;

--The following grant is used for databases without enhanced security, and can
--be removed by following the instructions in the createTables_PFS.sql script
--For more information, review the Info Center for Enhancing Security for DB2
GRANT DBADM ON DATABASE TO USER @DB_USER@;

CONNECT RESET;