-- Licensed Materials - Property of IBM
-- 5725-A20
-- Copyright IBM Corporation 2015.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to create database and tablespaces for DB2 UDB 
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @TAB_TS@ - tablespace for data, e.g. PFSDATA
-- @IDX_TS@ - tablespace for indexes, e.g. PFSIDX
-- @LOB_TS@ - tablespace for binary objects, e.g. PFSLOB
--
-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf createTablespace_PFS.sql
--
-- ------------------------------------------------------------------------------------

------------- bufferpool for regular tablespaces
CREATE BUFFERPOOL BP32K IMMEDIATE SIZE 1000 PAGESIZE 32 K;

------------- bufferpool for temp tablespace
CREATE BUFFERPOOL TMPBP32K IMMEDIATE SIZE 1000 PAGESIZE 32 K;

------------- tablespace for data 
CREATE REGULAR TABLESPACE @TAB_TS@ PAGESIZE 32 K  
MANAGED BY AUTOMATIC STORAGE 
BUFFERPOOL BP32K DROPPED TABLE RECOVERY OFF;

------------- tablespace for indexes 
CREATE REGULAR TABLESPACE @IDX_TS@ PAGESIZE 32 K  
MANAGED BY AUTOMATIC STORAGE 
BUFFERPOOL BP32K DROPPED TABLE RECOVERY OFF;

------------- tablespace for binary objects 
CREATE LARGE TABLESPACE @LOB_TS@ PAGESIZE 32 K  
MANAGED BY AUTOMATIC STORAGE 
BUFFERPOOL BP32K DROPPED TABLE RECOVERY OFF;

------------- tablespace (temp) for sorts/joins
CREATE SYSTEM TEMPORARY TABLESPACE TMPTS32K PAGESIZE 32 K  
MANAGED BY AUTOMATIC STORAGE 
BUFFERPOOL TMPBP32K;
