-- Licensed Materials - Property of IBM
-- 5725-A20
-- Copyright IBM Corporation 2015.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosu
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- --------------------------------------------------------------------
--
-- Scriptfile to create database, tablespaces for 
-- DB2 z/OS
--
-----------------------------------------------------------------------
-- Following variables need to be changed for customization before 
-- running this script: 
-- @STOGRP@ = DB2 Storage group name (default is SYSDEFLT)
-- @DB_NAME@ = the database name, eg PFSDB
-- Note: Tablespaces should be created with LOCKSIZE ROW to avoid 
--           deadlocks
--       Tablespaces should be created with CCSID UNICODE for
--       performance reasons and codepage coverage for user input
--
-- Run the script in the DB2 command line processor.
--
-- USAGE:   db2 -tf createTablespace_PFS.sql
--
-- --------------------------------------------------------------------
------------- bufferpool for regular tablespaces
-- created by DBA as BP32K

------------- bufferpool for temp tablespace
-- created by DBA as TMPBP32K

------------- tablespace for PFS 
CREATE TABLESPACE TSPFS001 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;

   --------------------------------------------------
-- Create auxiliary tablespaces for LOB columns --
--------------------------------------------------
CREATE LOB TABLESPACE PFSLOB01 IN @DB_NAME@ 
   BUFFERPOOL BP32K
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;


