-- Licensed Materials - Property of IBM
-- 5725-C94, 5725-C95, 5725-C96
-- Copyright IBM Corporation 2016. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @STOGRP@ = DB2 Storage group name (default is SYSDEFLT)
-- @DB_NAME@ = the database name, eg BPMDB
-- @SCHEMA@ = the schema name, eg BPMUSER
-- @BPTABLE32K@ = buffer pool name
-- @BPTABLE4K@ = buffer pool name

-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf create_bpd_change_log.ddl
--
-- ------------------------------------------------------------------------------------


CREATE INDEX @SCHEMA@.PFS_BCLCL_IDX2 ON @SCHEMA@.PFS_BPD_CHANGE_LOG_CONSMR_LOG (CONSUMER_ID, START_TIME) USING STOGROUP @STOGRP@;


CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_1 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (TASK_ID, INSTANCE_ID, TYPE DESC, ENTRY_TIME DESC) USING STOGROUP @STOGRP@;

DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B1;
CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B1 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_001, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B2;
CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B2 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_002, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B3;
CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B3 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_003, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B4;
CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B4 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_004, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B5;
CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B5 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_005, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B6;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B6 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_006, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B7;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B7 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_007, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B8;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B8 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_008, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B9;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B9 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_009, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B10;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B10 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_010, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B11;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B11 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_011, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B12;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B12 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_012, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B13;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B13 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_013, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B14;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B14 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_014, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B15;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B15 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_015, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B16;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B16 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_016, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B17;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B17 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_017, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B18;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B18 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_018, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B19;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B19 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_019, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;

--DROP INDEX @SCHEMA@.PFS_BPDCL_IDX_B20;
--CREATE INDEX @SCHEMA@.PFS_BPDCL_IDX_B20 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_020, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC) USING STOGROUP @STOGRP@;


CREATE UNIQUE INDEX @SCHEMA@.PFS_BPD_CHANGE_LOG_UTIL_IDX ON @SCHEMA@.PFS_BPD_CHANGE_LOG_UTIL (OPERATION) USING STOGROUP @STOGRP@;

-- ------------------
-- PFS_BPD_SCHEMA_VERSION
-- ------------------
CREATE TABLESPACE FDBPDTS4 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;

CREATE TABLE @SCHEMA@.PFS_BPD_SCHEMA_VERSION
(
  SCHEMA_VERSION INTEGER NOT NULL, 
  PRIMARY KEY (SCHEMA_VERSION)
) IN @DB_NAME@.FDBPDTS4;

CREATE UNIQUE INDEX @SCHEMA@.PFS_BPD_SCHEMA_VERSION_IDX 
  ON @SCHEMA@.PFS_BPD_SCHEMA_VERSION (SCHEMA_VERSION) 
  USING STOGROUP @STOGRP@;

-- set schema version to: 8570
INSERT INTO @SCHEMA@.PFS_BPD_SCHEMA_VERSION (SCHEMA_VERSION)
  VALUES( 8570 );


COMMIT;
     