-- Licensed Materials - Property of IBM
-- 5725-C94, 5725-C95, 5725-C96
-- Copyright IBM Corporation 2016. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @STOGRP@ = DB2 Storage group name (default is SYSDEFLT)
-- @DB_NAME@ = the database name, eg BPMDB
-- @SCHEMA@ = the schema name, eg BPMUSER, the same as BPE table
-- @BPTABLE4K@ = buffer pool name
-- @BPTABLE32K@ = buffer pool name

-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf upgrade_bpel_change_log_8570.sql
--
-- ------------------------------------------------------------------------------------

-- ------------------
-- PFS_BPD_SCHEMA_VERSION
-- ------------------
CREATE TABLESPACE PFSCLTS5 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL @BPTABLE32K@ 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   LOCKMAX 0
   CCSID UNICODE;

CREATE TABLE @SCHEMA@.PFS_BPEL_SCHEMA_VERSION
(
  SCHEMA_VERSION INTEGER NOT NULL, 
  PRIMARY KEY (SCHEMA_VERSION)
) IN @DB_NAME@.PFSCLTS5;

CREATE UNIQUE INDEX @SCHEMA@.PFS_BPEL_SCHEMA_VERSION_IDX 
  ON @SCHEMA@.PFS_BPEL_SCHEMA_VERSION (SCHEMA_VERSION) 
  USING STOGROUP @STOGRP@;

-- set schema version to: 8570
INSERT INTO @SCHEMA@.PFS_BPEL_SCHEMA_VERSION (SCHEMA_VERSION)
  VALUES( 8570 );


COMMIT;
     