-- Licensed Materials - Property of IBM
-- 5725-C94, 5725-C95, 5725-C96
-- Copyright IBM Corporation 2016. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @DB_NAME@ = the database name, eg BPMDB
-- @SCHEMA@ = the schema name, eg BPMUSER

-- Run the script in the sqlcmd command line processor
--
-- USAGE:  sqlcmd -U <userid> -P <password> -e -i upgrade_bpd_change_log_8570.sql
--
-- ------------------------------------------------------------------------------------

use @DB_NAME@
checkpoint
GO

CREATE INDEX PFS_BCLCL_IDX2 ON @SCHEMA@.PFS_BPD_CHANGE_LOG_CONSMR_LOG (CONSUMER_ID, START_TIME)
GO

CREATE INDEX PFS_BPDCL_IDX_1 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (TASK_ID, INSTANCE_ID, CONSUMER_001, TYPE DESC, ENTRY_TIME DESC);
GO


IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B1' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B1 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B1 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_001, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B2' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B2 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B2 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_002, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B3' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B3 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B3 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_003, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B4' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B4 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B4 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_004, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B5' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B5 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B5 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_005, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B6' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B6 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B6 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_006, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B7' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B7 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B7 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_007, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B8' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B8 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B8 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_008, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B9' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B9 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B9 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_009, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B10' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B10 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B10 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_010, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B11' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B11 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B11 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_011, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B12' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B12 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B12 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_012, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B13' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B13 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B13 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_013, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B14' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B14 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B14 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_014, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B15' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B15 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B15 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_015, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B16' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B16 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B16 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_016, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B17' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B17 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B17 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_017, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B18' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B18 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B18 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_018, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B19' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B19 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B19 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_019, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

IF EXISTS (SELECT 1 FROM sys.indexes
           WHERE name = 'PFS_BPDCL_IDX_B20' 
           AND object_id = OBJECT_ID('@SCHEMA@.PFS_BPD_CHANGE_LOG'))
BEGIN

    EXEC( 'DROP INDEX PFS_BPDCL_IDX_B20 ON @SCHEMA@.PFS_BPD_CHANGE_LOG' );
	EXEC( 'CREATE INDEX PFS_BPDCL_IDX_B20 ON @SCHEMA@.PFS_BPD_CHANGE_LOG (CONSUMER_020, PARTITION, INSTANCE_ID, TASK_ID, TYPE DESC)');
END
GO

CREATE UNIQUE INDEX PFS_BPD_CHANGE_LOG_UTIL_IDX ON @SCHEMA@.PFS_BPD_CHANGE_LOG_UTIL (OPERATION)
GO

-- ------------------
-- PFS_BPD_SCHEMA_VERSION
-- ------------------
CREATE TABLE @SCHEMA@.PFS_BPD_SCHEMA_VERSION
(
  SCHEMA_VERSION                     INTEGER                           NOT NULL 
  PRIMARY KEY NONCLUSTERED ( SCHEMA_VERSION )
)
GO

-- set schema version to: 8570
INSERT INTO @SCHEMA@.PFS_BPD_SCHEMA_VERSION (SCHEMA_VERSION) VALUES( 8570 )
GO
