-- Licensed Materials - Property of IBM
-- 5725-A20
-- Copyright IBM Corporation 2007, 2011.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Scriptfile to create user and tablespaces for Oracle
--
---------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script: 
-- @SCHEMA@ = the schema owner, eg PFSDB
-- @DB_PASSWORD@ = the schema owner password
-- @TAB_TS@ - tablespace for data, e.g. PFSDATA
-- @IDX_TS@ - tablespace for indexes, e.g. PFSIDX
--
--    For a database install with enhanced security:
--    Remove the following line in the script:
--
--        GRANT RESOURCE TO @SCHEMA@;
--
--    then follow the instructions in the createTables_PFS.sql script.
--
-- Run the script in SQL*Plus.
--
-- USAGE:  sqlplus system/passw0rd@orcl @createSchema_PFS.sql
--
-- ------------------------------------------------------------------------------------

------------------------------------------------------------
-- Create schema owner if the user does not already exist --
------------------------------------------------------------
DECLARE
   user_exists INTEGER;
BEGIN
   SELECT COUNT(1) INTO user_exists FROM ALL_USERS WHERE USERNAME = '@SCHEMA@';
   IF NOT user_exists = 1 THEN
      EXECUTE IMMEDIATE 'CREATE USER @SCHEMA@ IDENTIFIED BY @DB_PASSWORD@ DEFAULT TABLESPACE @TAB_TS@';
   END IF;
END;
/

GRANT CONNECT TO @SCHEMA@;
GRANT RESOURCE TO @SCHEMA@;
ALTER USER @SCHEMA@ QUOTA UNLIMITED ON @TAB_TS@;
ALTER USER @SCHEMA@ QUOTA UNLIMITED ON @IDX_TS@;

QUIT
