-- Licensed Materials - Property of IBM
-- 5725-A20
-- Copyright IBM Corporation 2015.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Scriptfile to create user and tablespaces for Oracle
--
---------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script: 
-- @TSDIR@ = the directory or prefix for tablespace datafiles, eg DEFAULTTS
-- @TAB_TS@ - tablespace for data, e.g. PFSDATA
-- @IDX_TS@ - tablespace for indexes, e.g. PFSIDX
--
--
-- Run the script in SQL*Plus.
--
-- USAGE:  sqlplus system/passw0rd@orcl @createTablespace_PFS.sql
--
-- ------------------------------------------------------------------------------------

-------------------------
-- Create tablespaces 
-------------------------
DECLARE
  ts_exists INTEGER;
BEGIN
  SELECT COUNT(1) INTO ts_exists FROM DBA_TABLESPACES WHERE TABLESPACE_NAME = '@TAB_TS@';
  IF NOT ts_exists = 1 THEN
      EXECUTE IMMEDIATE 'CREATE TABLESPACE @TAB_TS@
      DATAFILE ''@TSDIR@_@TAB_TS@.dbf'' SIZE 100M AUTOEXTEND ON NEXT 100M MAXSIZE UNLIMITED LOGGING';
  END IF;
END;
/

DECLARE
  ts_exists INTEGER;
BEGIN
  SELECT COUNT(1) INTO ts_exists FROM DBA_TABLESPACES WHERE TABLESPACE_NAME = '@IDX_TS@';
  IF NOT ts_exists = 1 THEN
      EXECUTE IMMEDIATE 'CREATE TABLESPACE @IDX_TS@
      DATAFILE ''@TSDIR@_@IDX_TS@.dbf'' SIZE 100M AUTOEXTEND ON NEXT 100M MAXSIZE UNLIMITED LOGGING';
  END IF;
END;
/

QUIT