-- Licensed Materials - Property of IBM
-- 5725-C94, 5725-C95, 5725-C96
-- Copyright IBM Corporation 2014. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @SCHEMA@  = the schema name, eg BPMUSER, the same as BPE table

-- Tablespaces may be specified by uncommenting the tablespace line
-- at the end of each table definition.  
-- Note:  Tablespaces must be manually created before executing the script.
-- @INSTANCE@ = The tablespace name of table, you can share the same tablespace as other BPE table
-- @INDEXTS@ = The tablespace name of index, you can share the same tablespace as other BPE index
-- Run the script in SQL*Plus.
--
-- USAGE:  sqlplus system/passw0rd@orcl @upgrade_bpel_change_log_8570.sql
--
-- ------------------------------------------------------------------------------------

-- ------------------
-- PFS_BPEL_SCHEMA_VERSION
-- ------------------
CREATE TABLE @SCHEMA@.PFS_BPEL_SCHEMA_VERSION
(
  SCHEMA_VERSION                     NUMBER(10,0)        NOT NULL 
) 
--TABLESPACE @TAB_TS@
;

ALTER TABLE @SCHEMA@.PFS_BPEL_SCHEMA_VERSION ADD
(
  PRIMARY KEY ( SCHEMA_VERSION )
--USING INDEX TABLESPACE @IDX_TS@
);

-- set schema version to: 8570
INSERT INTO @SCHEMA@.PFS_BPEL_SCHEMA_VERSION (SCHEMA_VERSION) VALUES( 8570 );

COMMIT;
